import React, {memo} from 'react';

import {VoiceRecordingPanelDefault} from './components/VoiceRecordingPanelDefault';
import {
  VoiceRecordingPanelLocked,
  VoiceRecordingPanelLockedProps,
} from './components/VoiceRecordingPanelLocked';

function VoiceRecordingPanel(props: VoiceRecordingPanelLockedProps) {
  return (
    <>
      <VoiceRecordingPanelLocked {...props} />
      <VoiceRecordingPanelDefault />
    </>
  );
}

export default memo(VoiceRecordingPanel);
